Subject: Re: clean miter cuts

From: "plathrop" <[email-masked]>
Date: 12 Feb 1997 22:34:51 GMT

Roger & Jo Kempfer <[email-masked]> wrote in article
<[email-masked]>...
> Paul wrote:
> > 
> > I have the Lion Miter Trimmer.  It is solidly made, reliable and cuts
as
> > smooth as glass.  So far, it is the best thing I've come across for
> > making picture frames.
> > 
> > Dave DeFily wrote:
> > >
> > > Hi,
> > >
> > > I'm looking for advice.  I'd like to buy a saw for cutting clean
miter
> > > joints.  My immediate need is to cut moldings for picture frames, but
will
> > > likely find many other uses.  Initially, I was was prepared to by a
miter
> > > trimmer.  I could make "adequate" cuts, then trim them clean with the
> > > trimmer.  Then I started looking at hand miter saws such as the
NOBEX.
> > > This might be all I need, no need to make a cut AND a trim.  After
> > > thinking about it, I realized I could get a moderately priced power
miter
> > > saw and a good blade for not much more money.
> > >
> > > Any thoughts?  Has anybody used a miter trimmer (Woodcraft or Lion)
or the
> > > NOBEX miter saw?  Any suggestions will be appreciated.
> > >
> > > Thanks
> > >
> > > Dave

I bought a Nobex miter saw 3 years ago ( the bigger one of course) still
using the original blade.  In the last 9 monthes I started to use a makita
10" sliding compound miter saw (I started to work in finishing carpentry) .
 Both give supperior cuts (no need to trim).
I often have to carry the saw into a house so:
I use the  power miter saw if I have a lot to cut,  if I have just a couple
to cut I used the Nobex.  One definate advantage with a power miter saw, 
If you have to shave a small amount off it is very easy to do.  With a hand
miter saw get the sandpaper out.  

If you get a power miter saw make sure it has a dustbag.

Paul Lathrop